# Created by pyp2rpm-3.3.1
%global pypi_name py-colour

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 6
Summary:        Colour manipulation class
Group:          Development/Python
License:        GPLv3
URL:            https://github.com/tremby/py-colour
Source0:        https://pypi.io/packages/source/p/py-colour/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)

%description
A colour manipulation class.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Conflicts:	python3-colour

%description -n python3-%{pypi_name}
A colour manipulation class.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/colour.py
%{python3_sitelib}/py_colour-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-6.mga8
+ Revision: 1535303
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.1.0-5.mga8
+ Revision: 1451723
- rebuild for python-3.8
- drop python2 subpkg

* Sun Jul 07 2019 wally <wally> 1.1.0-4.mga8
+ Revision: 1419359
- make python3 pkg to conflict with python3-colour
- tidy descriptions

* Mon Jan 07 2019 kekepower <kekepower> 1.1.0-3.mga7
+ Revision: 1351263
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1289756
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 kekepower <kekepower> 1.1.0-1.mga7
+ Revision: 1220611
- BR six
- imported package python-py-colour

